<?php
/**
 * SiteIdentity.
 *
 * @package MadeByAura\Prime\Customizer\Fields
 * @author  MadeByAura.com
 */

namespace MadeByAura\Prime\Customizer\Fields;

use MadeByAura\Prime\Helpers\SingletonTrait;

defined( 'ABSPATH' ) || die();

/**
 * SiteIdentity.
 */
class SiteIdentity {
	use SingletonTrait;

	/**
	 * Constructor.
	 */
	protected function __construct() {
		add_action( 'after_setup_theme', [ __CLASS__, 'add_section' ] );
	}

	/**
	 * Add section.
	 */
	public static function add_section() {
		$id   = 'browser_theme_color';
		$args = [
			'settings' => 'aura_browser_theme_color',
			'section'  => 'title_tagline',
			'label'    => esc_attr__( 'Browser Theme Color', 'aura-prime' ),
			'type'     => 'color',
			'default'  => '',
			'priority' => 100,
		];

		$args = apply_filters( "aura_theme_kirki_field_{$id}", $args );

		\Kirki::add_field( 'aura_theme_config', $args );
	}
}
